Skip to content

Diagnostics

All operations require authentication.

2 operationsv1/email/mxplan
Agent setup

Get the account diagnosisProduction

GET
/1.0/email/mxplan/{service}/account/{email}/diagnostic

Get the account diagnosis. Returns the results of the last diagnosis of the email account: account locked, suspended or flagged as spammer, login with its credentials, MX and SRV records, and sending and receiving of emails.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200AccountDiagnosissuccessful operation
canReceiveEmail
read-only
boolean

Determines if ingoing message has been received

canSendEmail
read-only
boolean

Determines if outgoing message has been delivered

connectiveWebmail
read-only
boolean

Determines if possible to authenticate with credentials

isLocked
read-only
boolean

Determines if account is locked

isMxValid
read-only
boolean

Determines if MX record for account's domain is properly set

isSpammer
read-only
boolean

Determines if account is flagged as spammer

isSrvValid
read-only
boolean

Determines if SRV (autodiscovery) record for account's domain is properly set

isSuspended
read-only
boolean

Determines if account is suspended

lastCheck
read-only
stringdate-time

Last performed diagnostics date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canReceiveEmail": true, "canSendEmail": true, "connectiveWebmail": true, "isLocked": true, "isMxValid": true, "isSpammer": true, "isSrvValid": true, "isSuspended": true, "lastCheck": "2024-01-01T12:00:00Z"}

Run an account diagnosisProduction

POST
/1.0/email/mxplan/{service}/account/{email}/diagnostic

Run an account diagnosis. Starts a diagnosis of the email account, which requires the account password, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

password
required
stringpassword

Account password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}